import { createApp } from "vue";
import "./style.scss";
import "vant/lib/index.css"; // 引入样式
import { Notify } from "vant"; // 引入组件
import { library } from "@fortawesome/fontawesome-svg-core";
import { faUserSecret, fas } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
import { fab } from "@fortawesome/free-brands-svg-icons";
import App from "./App.vue";
import router from "./router";
library.add(fas, fab,faUserSecret);
const app = createApp(App);
app.use(FontAwesomeIcon);
// app.use(Notify);
app.component("font-awesome-icon", FontAwesomeIcon);
app.use(router);
app.mount("#app");

